Skip to main content

Device

Device provides access to the list of devices associated with scanning.

Example of a returned device object.

{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"Device": [
{
"id": "F93AB6294DD7334DA0423C89E3D7C0B2",
"Device_Code": "TEST001",
"Device_Type": "PT983-II",
"Detail": "",
"Status": "Active"
}
]
}
}

Device Properties​

PropertyExampleDescription

id "F93AB6294DD7334DA0423C89E3D7C0B2" Unique id of the device Device_Code "TEST001" Customer id Device_Type "PT983-II" The type of device, oftemn model number. Detail "" Notes about the device Status "Active" Current status of the device.

Device Methods​

GET /api/device​

Returns all devices in the system with all published fields.